This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275085 - Obsolete dracut-fedup
Obsolete dracut-fedup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 14:10 EDT by Göran Uddeborg
Modified: 2015-11-03 00:52 EST (History)
2 users (show)

See Also:
Fixed In Version: dnf-plugin-system-upgrade-0.7.0-1.fc23 dnf-plugin-system-upgrade-0.7.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 13:52:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2015-10-25 14:10:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Göran Uddeborg 2015-10-25 14:16:38 EDT
Sorry about the premature submission of this bug.  My intention was to ask if dnf-plugin-system-upgrade shouldn't obsolete fedup-dracut.  It does obsolete fedup.  Fedup-dracut has been removed from the repositories, but as far as I can tell there is nothing that obsoletes it.  Which seems it would block an attempt to upgrade a system where fedup-dracut is installed.

Or maybe I've misunderstood it all?
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-10-26 09:14:50 EDT
Yeah, it should.
Comment 3 Will Woods 2015-10-26 11:55:50 EDT
Hrm. But.. what package should obsolete fedup-dracut?

Nothing actually *replaces* the capability provided by fedup-dracut - we just aren't using it anymore. So what is it obsoleted *by*?

Also, the only thing that ever *required* it was lorax, which drops that requirement in F23. So now it's just an orphan package. (or "extra", I guess - like `dnf list extras`.) But is it actually *required* that all orphan packages be forcibly removed?

In theory, this feels unnecessary. But whatever, let's just remove it and be done thinking about it.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-10-26 12:01:56 EDT
It is linked with librpm.so.3, which is not available anymore, so the package has to be removed during upgrade 22→23 if it was installed. Advanced users will know that it can be safely removed, but others might be confused.
Comment 6 Fedora Update System 2015-10-28 12:05:21 EDT
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e00b75e39f
Comment 7 Fedora Update System 2015-10-28 12:05:21 EDT
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-69bef6b9ed
Comment 8 Fedora Update System 2015-11-01 01:58:40 EST
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugin-system-upgrade'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-69bef6b9ed
Comment 9 Fedora Update System 2015-11-01 19:27:12 EST
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugin-system-upgrade'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e00b75e39f
Comment 10 Fedora Update System 2015-11-02 13:51:59 EST
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-03 00:51:35 EST
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.